Git & OF Not Compiling? 4.2?

Is anyone getting build erros for the version of OF in GIT.

I am running IOS 4.2. After commenting out all the glPushView() stuff the IOS Version flasg are not working?

#warning “skipping ofxIphoneVideoGrabber compilation because you need > 3.2 iOS SDK”

what is going on?

I have the same problem, can’t get the iPhone examples building from git and iOS 4.2.

Have you found any solution to it?
Anyone knows what to do?

Thanks!

/roger

i’m having trouble getting ofxiPhoneVideoGrabber to compile as well. (my build is set to ios 4.2)

i’m using of_preRelease_v0062_iphone_FAT and i keep getting the following error:

  
CompileC build/VideoGrabberExample.build/Release-iphonesimulator/VideoGrabberExample.build/Objects-normal/i386/main.o src/main.mm normal i386 objective-c++ com.apple.compilers.gcc.4_2  
  
error: 'ofxiPhoneVideoGrabber' does not name a type  
  
  
CompileC build/VideoGrabberExample.build/Release-iphonesimulator/VideoGrabberExample.build/Objects-normal/i386/testApp.o src/testApp.mm normal i386 objective-c++ com.apple.compilers.gcc.4_2  
  
error: 'ofxiPhoneVideoGrabber' does not name a type  
error: 'grabber' was not declared in this scope  
error: 'grabber' was not declared in this scope  
error: 'grabber' was not declared in this scope  

i tried a pull from GIT hub as well. but i was getting this as an error (pulling the latest release from git hub now)

  
CompileC "build/iPhone+OF Lib.build/Debug-iphonesimulator/iPhone+OF Static Library.build/Objects-normal/i386/ofGraphics.o" ../../../openFrameworks/graphics/ofGraphics.cpp normal i386 c++ com.apple.compilers.gcc.4_2  
  
error: 'glGetDoublev' was not declared in this scope  
error: 'glTranslated' was not declared in this scope  
error: 'glScaled' was not declared in this scope  
  
"ofiPhoneVideoGrabber::ofiPhoneVideoGrabber()", referenced from:  
  

not sure what i may be doing wrong. any insight would be great.

thanks.
Ken

oops… i wasn’t paying attention as this is the entirely wrong topic for my issue.

but if anyone else happens to stumble upon issues compiling ofxiPhoneVideoGrabber i.e.

  
error: cannot find protocol declaration for ‘AVCaptureVideoDataOutputSampleBufferDelegate'  

it seems any camera activity must be compiled on an ios 3.2 or greater device. there is no simulator support.

Ken

Spent the whole day trying to make it work, without any success…

If anyone has a solution to the problem, you are now helping AT LEAST 3 persons :slight_smile:

Does anyone in the original post have any information as to how they resolved/didn’t resolve? I’ve tried a few times to compile the iphone emptyExample from the master branch with no luck.

I did find that jonbro’s fork has some pull requests that are related to the exact errors I was having: https://github.com/jonbro/openFramework-…-IOSWorking

This might be too late for some, but try this. Doesn’t run in the simulator but at least I was able to make display a camera image on my new iPad 2 using the VideoGrabberExample:

Hope it helps.

yeah, my fork is probably lagging a little bit behind the main branch. If you guys could check out that pull request and maybe see if they are working for you, it might help the core team.

in other news, yeah, you need to strip the video stuff out for when it runs on the simulator, because the simulator doesn’t have a camera.